
' === EZ1Term.bas ==================== Ron Hackett ===

' This program runs on the SERVO TankBot. It uses a
' MaxSonar EZ1 module to measure distance to nearest
' object and sends the results to the Terminal Window.
	

' === Constants ===

	symbol EZ1 = 1					' EZ1 on AnalogIn1
	symbol LED = 2					' LED on output2
	
	
' === Variables ===

	symbol dist = w0				' data from EZ1	
	
	
' === Directives ===

	#com3								' specify saerial port
	#picaxe 14M						' specify processor
	
	
' === Begin Main Program ==================

	dirsc = %00000110				' see text
do
  	high LED							' for debugging
  	pause 250
  	readadc10 EZ1,dist			' get EZ1 raw data
  	dist = dist / 2				' convert to inches
  	sertxd ("Distance = ",#dist,CR,LF)
  	low LED
  	pause 250
loop									' loop forever
